* * *

Author Topic: [SOLVED] Installation error  (Read 1146 times)

egsuh

  • Full Member
  • ***
  • Posts: 106
[SOLVED] Installation error
« on: January 08, 2018, 10:55:23 am »
I installed Lazarus v1.8.0,  then tried to install sqlite3laz 0.4. But it doesn't compile.  Error message is that identifiers of lpCarbon, lpOt, lpGTK2, lpWin32 are not found in following section of HTMLMisc file.
Last error message is "Compile package InstantFPCLaz 1.0:Aborted".

What could be the problem?

========================
initialization
  htExpectsUTF8 := WidgetSet.LCLPlatform in [lpCarbon, lpQt, lpGTK2, lpWin32];
{$IFNDEF NoFlatScrollbars}
  InitFlatSB;
{$ENDIF}
end.       
« Last Edit: January 12, 2018, 04:20:52 pm by egsuh »

GetMem

  • Hero Member
  • *****
  • Posts: 3082
Re: Installation error
« Reply #1 on: January 08, 2018, 11:00:02 am »
Quote
egsuh
What could be the problem?
uses LCLPlatformDef;

egsuh

  • Full Member
  • ***
  • Posts: 106
Re: Installation error
« Reply #2 on: January 08, 2018, 11:13:27 am »
Thank you GetMem,
It works. But then, there is an error in vwPrint file.
Message is:
   Identifier idents no member "DevModeA".

GetMem

  • Hero Member
  • *****
  • Posts: 3082
Re: Installation error
« Reply #3 on: January 08, 2018, 11:15:24 am »
On windows lately there is no DevModeA only DevModeW. What component is this again? sqlite3laz? Do you have a download link?

PS: I believe you're talking about HTMLViewer component, I fixed those issues not so long ago(it was familiar). You can download the working package through OPM: http://wiki.freepascal.org/Online_Package_Manager
« Last Edit: January 08, 2018, 11:27:13 am by GetMem »

egsuh

  • Full Member
  • ***
  • Posts: 106
Re: Installation error
« Reply #4 on: January 08, 2018, 11:27:33 am »
I'm sorry. I downloaded it from following link.

  http://sourceforge.net/projects/lazarus/files/


But now I found that I have downloaded win-32 file, while my OS is 64 bit.

Problem is, the sourceforge site suggests "Looking for the latest version? --- 32 bit program",  even though I clicked Lazarus Windows 64 bit.  Now I'll go into the folder and install it again.

Thank you for your advise and sorry for the inconveniences caused.

GetMem

  • Hero Member
  • *****
  • Posts: 3082
Re: Installation error
« Reply #5 on: January 08, 2018, 11:34:23 am »
Quote
But now I found that I have downloaded win-32 file, while my OS is 64 bit.
Problem is, the sourceforge site suggests "Looking for the latest version? --- 32 bit program",  even though I clicked Lazarus Windows 64 bit.  Now I'll go into the folder and install it again.
Thank you for your advise and sorry for the inconveniences caused.
I don't know how, but you have somewhere a HTMLViewer component, you should uninstall it. Most likely your new installation it's still linked to the old config files. This is why Lazarus try to install HTMLViewer.

Quote
Thank you for your advise and sorry for the inconveniences caused.
No inconveniences at all. Don't worry.
« Last Edit: January 08, 2018, 11:39:35 am by GetMem »

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus